Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -2832,136 +1806,102 @@
         /// <returns></returns>
         private bool CheckOrdererPermission(DepositOrderer orderer)
         {
-            var ioDepData = new IODepositData();
-            var ioDepDtl = new IODepositDataDetail();
 
-            try
-            {
-                // 全部署対象
-                if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
-                {
-                    return true;
-                }
+            // すべて表示させる
+            return true;
 
-                var sql = new StringBuilder();
+            #region 表示権限
+            //var ioDepData = new IODepositData();
+            //var ioDepDtl = new IODepositDataDetail();
 
-                var arWork = new ArrayList();
+            //try
+            //{
+            //    // 全部署対象
+            //    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
+            //    {
+            //        return true;
+            //    }
 
-                sql.Append("SELECT");
-                sql.Append(" SUM(DepData.DepositAmount) AS DatDepAmount");
-                sql.Append(" FROM");
-                sql.Append(" DepositData DepData");
-                sql.Append(" WHERE");
-                sql.AppendFormat(" DepData.ORDERERSDIVISION = {0}", orderer.OrderersDivision);
-                sql.AppendFormat(" AND DepData.ORDERERSCODE = {0}", orderer.OrderersCode);
-                sql.AppendFormat(" AND DepData.TARGETDATE = {0}", m_Select_TargetDate);
+            //    var sql = new StringBuilder();
+            //    var arWork = new ArrayList();
+            //    sql.Length = 0;
+            //    var arDataPdm = new ArrayList();
 
-                if (!ioDepData.ExecuteReader(sql.ToString(), ref arWork))
-                    return false;
+            //    // 担当分のみ対象の場合
+            //    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.InCharge)
+            //    {
+            //        sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
+            //        sql.Append("INNER JOIN RequestHead ReqHead ON ");
+            //        sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
+            //        sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
+            //        sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
+            //        sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
+            //        sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
+            //        sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
+            //        sql.AppendFormat("AND (Info.ConstructionPersonCode = {0} OR Info.ConstrSubPersonCode = {0} OR Info.ConstructionInstructor = {0}) ", CommonMotions.LoginUserData.PersonCode);
+            //    }
+            //    // 自部署のみ
+            //    else if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
+            //    {
+            //        sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
+            //        sql.Append("INNER JOIN RequestHead ReqHead ON ");
+            //        sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
+            //        sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
+            //        sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
+            //        sql.Append("INNER JOIN PersonInChargeMaster Prsn ON ");
+            //        sql.Append("Info.ConstructionPersonCode = Prsn.PersonCode ");
+            //        sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
+            //        sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
+            //        sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
+            //        sql.AppendFormat("AND Prsn.DepartmentCode = {0} ", CommonMotions.LoginUserData.DepartmentCode);
+            //    }
+            //    // 複数部署
+            //    else if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment)
+            //    {
+            //        sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
+            //        sql.Append("INNER JOIN RequestHead ReqHead ON ");
+            //        sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
+            //        sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
+            //        sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
+            //        sql.Append("INNER JOIN PersonInChargeMaster Prsn ON ");
+            //        sql.Append("Info.ConstructionPersonCode = Prsn.PersonCode ");
+            //        sql.Append("INNER JOIN PersonDepartmentMaster PrsnDep ON ");
+            //        sql.Append("Prsn.DepartmentCode = PrsnDep.DepartmentCode ");
+            //        sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
+            //        sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
+            //        sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
+            //        sql.AppendFormat("AND PrsnDep.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
 
-                long lDatDepAmount = CommonMotions.cnvLong(((object[])arWork[0])[0]);
+            //    }
 
-                arWork.Clear();
-                sql.Length = 0;
+            //    if (!ioDepDtl.ExecuteReader(sql.ToString(), ref arDataPdm))
+            //        return false;
 
-                sql.Append("SELECT");
-                sql.Append(" IFNULL(SUM(DepDetail.DEPOSITAMOUNT), 0) AS DtlDepAmount");
-                sql.Append(" FROM");
-                sql.Append(" DepositDataDetail DepDetail");
-                sql.Append(" WHERE");
-                sql.AppendFormat(" DepDetail.ORDERERSDIVISION = {0}", orderer.OrderersDivision);
-                sql.AppendFormat(" AND DepDetail.ORDERERSCODE = {0}", orderer.OrderersCode);
-                sql.AppendFormat(" AND DepDetail.TARGETDATE = {0}", m_Select_TargetDate);
+            //    int nCount = CommonMotions.cnvInt(((object[])arDataPdm[0])[0]);
 
-                if (!ioDepDtl.ExecuteReader(sql.ToString(), ref arWork))
-                    return false;
-
-                long lDtlDepAmount = CommonMotions.cnvLong(((object[])arWork[0])[0]);
-
-                // 入金データと入金データ明細の金額が一致しない（＝不明行がある）場合は、無条件で表示対象
-                if (lDatDepAmount != lDtlDepAmount)
-                {
-                    return true;
-                }
-
-                sql.Length = 0;
-
-                var arDataPdm = new ArrayList();
-
-                // 担当分のみ対象の場合
-                if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.InCharge)
-                {
-                    sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
-                    sql.Append("INNER JOIN RequestHead ReqHead ON ");
-                    sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
-                    sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
-                    sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
-                    sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
-                    sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
-                    sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
-                    sql.AppendFormat("AND (Info.ConstructionPersonCode = {0} OR Info.ConstrSubPersonCode = {0} OR Info.ConstructionInstructor = {0}) ", CommonMotions.LoginUserData.PersonCode);
-                }
-                // 自部署のみ
-                else if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
-                {
-                    sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
-                    sql.Append("INNER JOIN RequestHead ReqHead ON ");
-                    sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
-                    sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
-                    sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
-                    sql.Append("INNER JOIN PersonInChargeMaster Prsn ON ");
-                    sql.Append("Info.ConstructionPersonCode = Prsn.PersonCode ");
-                    sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
-                    sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
-                    sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
-                    sql.AppendFormat("AND Prsn.DepartmentCode = {0} ", CommonMotions.LoginUserData.DepartmentCode);
-                }
-                // 複数部署
-                else if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment)
-                {
-                    sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
-                    sql.Append("INNER JOIN RequestHead ReqHead ON ");
-                    sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
-                    sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
-                    sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
-                    sql.Append("INNER JOIN PersonInChargeMaster Prsn ON ");
-                    sql.Append("Info.ConstructionPersonCode = Prsn.PersonCode ");
-                    sql.Append("INNER JOIN PersonDepartmentMaster PrsnDep ON ");
-                    sql.Append("Prsn.DepartmentCode = PrsnDep.DepartmentCode ");
-                    sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
-                    sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
-                    sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
-                    sql.AppendFormat("AND PrsnDep.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-
-                }
-
-                if (!ioDepDtl.ExecuteReader(sql.ToString(), ref arDataPdm))
-                    return false;
-
-                int nCount = CommonMotions.cnvInt(((object[])arDataPdm[0])[0]);
-
-                // 権限を所有する工事がある場合は保持
-                if (nCount > 0)
-                {
-                    return true;
-                }
-                else
-                {
-                    return false;
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                ioDepData.close();
-                ioDepData = null;
-                ioDepDtl.close();
-                ioDepDtl = null;
-            }
+            //    // 権限を所有する工事がある場合は保持
+            //    if (nCount > 0)
+            //    {
+            //        return true;
+            //    }
+            //    else
+            //    {
+            //        return false;
+            //    }
+            //}
+            //catch (Exception ex)
+            //{
+            //    logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            //    return false;
+            //}
+            //finally
+            //{
+            //    ioDepData.close();
+            //    ioDepData = null;
+            //    ioDepDtl.close();
+            //    ioDepDtl = null;
+            //}
+            #endregion
         }
         #endregion
 
@@ -2976,168 +1916,69 @@
         /// <returns></returns>
         private bool CheckPermission(int DepartmentCode, int ConstructionPersonCode, int ConstrSubPersonCode, int ConstructionInstructor)
         {
-            var ioPdm = new IOMPersonDepartment();
+            // すべて表示させる
+            return true;
 
-            try
-            {
-                // 全部署対象
-                if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
-                {
-                    return true;
-                }
+            #region 表示権限
+            //var ioPdm = new IOMPersonDepartment();
 
-                // 複数部署対象、または自部署のみ対象
-                else if ((m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment) || (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment))
-                {
-                    var arDataPdm = new ArrayList();
-                    var sql = new StringBuilder();
-                    sql.AppendLine("select Pdm.DepartmentCode ");
-                    sql.AppendLine("from PersonDepartmentMaster as Pdm ");
-                    sql.AppendFormat("where Pdm.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-                    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
-                    {
-                        sql.AppendLine("and Pdm.AffiliationFlg = 1 ");
-                    }
-                    if (!ioPdm.ExecuteReader(sql.ToString(), ref arDataPdm))
-                        return false;
-                    foreach (object[] work in arDataPdm)
-                    {
-                        if (CommonMotions.cnvInt(work[0]) == DepartmentCode)
-                        {
-                            return true;
-                        }
-                    }
-                    return false;
-                }
-                // 担当分のみ対象
-                else
-                {
-                    if ((CommonMotions.LoginUserData.PersonCode == ConstructionPersonCode) ||
-                        (CommonMotions.LoginUserData.PersonCode == ConstrSubPersonCode) ||
-                        (CommonMotions.LoginUserData.PersonCode == ConstructionInstructor))
-                    {
-                        return true;
-                    }
-                    else
-                    {
-                        return false;
-                    }
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                ioPdm.close();
-                ioPdm = null;
-            }
-        }
-        #endregion
+            //try
+            //{
+            //    // 全部署対象
+            //    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
+            //    {
+            //        return true;
+            //    }
 
-        #region 担当未承認の承認者リスト
-        /// <summary>
-        /// 担当未承認の承認者リスト
-        /// </summary>
-        /// <param name="departmentCode"></param>
-        /// <param name="approves"></param>
-        /// <returns></returns>
-        private bool SelectDefaultApprove(int departmentCode, ref List<ApproveData> approves)
-        {
-            var IoAm = new IOMApproval();
-
-            var arDataAm = new ArrayList();
-            var sql = new StringBuilder();
-
-            try
-            {
-                sql.AppendLine("select Am.APPROVALPERSON, Picm.SealPrintName,Am.ApprovalAuthority ");
-                sql.AppendLine("from ApprovalMaster as Am left join PersonInChargeMaster as Picm on Am.APPROVALPERSON = Picm.PERSONCODE ");
-                sql.AppendLine("where Am.APPROVALCODE = 98 ");
-                sql.AppendFormat("and Am.DepartmentCode = {0} ", departmentCode);
-                sql.AppendLine("order by Am.SEQNO desc ");
-
-                if (!IoAm.ExecuteReader(sql.ToString(), ref arDataAm)) return false;
-                approves = new List<ApproveData>();
-                int Order = 1;
-                foreach (object[] work in arDataAm)
-                {
-                    approves.Add(new ApproveData()
-                    {
-                        Key = CommonMotions.cnvInt(work[0]),
-                        Value = CommonMotions.cnvString(work[1]),
-                        Order = Order,
-                        ApprovalAuthority = CommonMotions.cnvInt(work[2])
-                    });
-                    Order++;
-                }
-
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                IoAm.close();
-                IoAm = null;
-            }
-        }
-        #endregion
-
-        #region 入金データが編集可能か判定
-        /// <summary>
-        /// 入金データの編集可能か判定
-        /// </summary>
-        /// <param name="depositOrderer"></param>
-        /// <returns></returns>
-        private bool CanEditDeposit(DepositOrderer depositOrderer)
-        {
-            //// 最終承認済の場合
-            //if (depositOrderer.HasApprovedByLastApprover)
+            //    // 複数部署対象、または自部署のみ対象
+            //    else if ((m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment) || (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment))
+            //    {
+            //        var arDataPdm = new ArrayList();
+            //        var sql = new StringBuilder();
+            //        sql.AppendLine("select Pdm.DepartmentCode ");
+            //        sql.AppendLine("from PersonDepartmentMaster as Pdm ");
+            //        sql.AppendFormat("where Pdm.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
+            //        if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
+            //        {
+            //            sql.AppendLine("and Pdm.AffiliationFlg = 1 ");
+            //        }
+            //        if (!ioPdm.ExecuteReader(sql.ToString(), ref arDataPdm))
+            //            return false;
+            //        foreach (object[] work in arDataPdm)
+            //        {
+            //            if (CommonMotions.cnvInt(work[0]) == DepartmentCode)
+            //            {
+            //                return true;
+            //            }
+            //        }
+            //        return false;
+            //    }
+            //    // 担当分のみ対象
+            //    else
+            //    {
+            //        if ((CommonMotions.LoginUserData.PersonCode == ConstructionPersonCode) ||
+            //            (CommonMotions.LoginUserData.PersonCode == ConstrSubPersonCode) ||
+            //            (CommonMotions.LoginUserData.PersonCode == ConstructionInstructor))
+            //        {
+            //            return true;
+            //        }
+            //        else
+            //        {
+            //            return false;
+            //        }
+            //    }
+            //}
+            //catch (Exception ex)
             //{
+            //    logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             //    return false;
             //}
-
-            long lTotalDatAmount = 0;
-            long lTotalDtlAmount = 0;
-
-            // 入金請求先データから入金金額（総務担当者）を取得
-            foreach (Deposit Dep in depositOrderer.Deposits)
-            {
-                lTotalDatAmount += (Dep.DepositAmountBill.GetValueOrDefault(0) + Dep.DepositAmountCash.GetValueOrDefault(0));    
-            }
-
-            bool bApprovalEnd = true;  // 承認完了フラグ
-
-            // 入金データ明細（工事担当者）から入金金額を取得
-            foreach (DepositDetail DepDtl in depositOrderer.DepositDetails)
-            {
-                lTotalDtlAmount += DepDtl.DepositAmount;
-
-                // 最終承認が完了していない入金データ明細が存在する場合
-                if (DepDtl.IsApprovedByLastApprover == false)
-                {
-                    bApprovalEnd = false;
-                }
-            }
-
-            // 不明行が存在する場合は、編集可能とする。
-            if (lTotalDtlAmount != lTotalDatAmount)
-            {
-                return m_UserInfo.CanEditDeposit;
-            }
-
-            if (bApprovalEnd == false)
-            {
-                return m_UserInfo.CanEditDeposit;
-            } 
-   
-            return false;
+            //finally
+            //{
+            //    ioPdm.close();
+            //    ioPdm = null;
+            //}
+            #endregion
         }
         #endregion
 
@@ -3149,29 +1990,33 @@
         /// <returns></returns>
         private bool CanEditDepositDetail(DepositDetail depositDetail)
         {
-            // 担当者の場合
-            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
+            // 担当者、副担当、指導員の場合
+            if (CommonMotions.LoginUserData.PersonCode == depositDetail.ConstructionPersonCode ||
+                CommonMotions.LoginUserData.PersonCode == depositDetail.ConstrSubPersonCode ||
+                CommonMotions.LoginUserData.PersonCode == depositDetail.ConstructionInstructor)
             {
                 // 承認済みなら編集不可
-                if (depositDetail.IsApprovedByStaff || depositDetail.IsApprovedByApprover)
+                if (depositDetail.ConfirmationEndFlg == 1)
+                {
                     return false;
+                }
+                return true;
             }
             // 所属長、統括者の場合
             else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
             {
-                // 上位の承認者でなければ編集不可
-                if (!IsUpperLevelApprover(depositDetail))
+                // 上属の上長でなければ編集不可
+                if ((int)CommonMotions.LoginUserData.DepartmentCode != depositDetail.DepartmentCode)
+                {
                     return false;
+                }
             }
             // 特別権限の場合
             else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
             {
-                if (depositDetail.IsApprovedByLastApprover)
-                    return false;
-
                 return true;
             }
-            return m_UserInfo.CanEditDepositDetail;
+            return false;
         }
         #endregion
 
@@ -3181,94 +2026,16 @@
         /// </summary>
         /// <param name="depositDetail"></param>
         /// <returns></returns>
-        private bool IsUpperLevelApprover(DepositDetail depositDetail)
-        {
-            if (depositDetail.DepositApprovals.Count == 0)
-                return true;
-            var lastApproverIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalDate != "");
-            var myIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalPerson == CommonMotions.LoginUserData.PersonCode);
-            return myIndex > lastApproverIndex;
-        }
+        //private bool IsUpperLevelApprover(DepositDetail depositDetail)
+        //{
+        //    if (depositDetail.DepositApprovals.Count == 0)
+        //        return true;
+        //    var lastApproverIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalDate != "");
+        //    var myIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalPerson == CommonMotions.LoginUserData.PersonCode);
+        //    return myIndex > lastApproverIndex;
+        //}
         #endregion
 
-        #region 編集用空白行追加
-        /// <summary>
-        /// 編集用空白行追加
-        /// </summary>
-        /// <param name="index"></param>
-        private void AddBlankRow(DepositOrderer depositOrderer, int index)
-        {
-            var headerIndex = DetectHeaderIndex(index);
-            var headerCells = dgvMaster.Rows[headerIndex].Cells;
-            var blankIndex = dgvMaster.RowCount;
-            for (var i = headerIndex; i < dgvMaster.RowCount; i++)
-            {
-                var cells = dgvMaster.Rows[i].Cells;
-                if (CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersDivision].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value)
-                    || CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersCode].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value))
-                {
-                    blankIndex = i;
-                    break;
-                }
-            }
-            dgvMaster.Rows.Insert(blankIndex);
-            var row = dgvMaster.Rows[blankIndex];
-            row.ReadOnly = true;
-            row.Cells[(int)DispColumn.OrderersDivision].Value = headerCells[(int)DispColumn.OrderersDivision].Value;
-            row.Cells[(int)DispColumn.OrderersCode].Value = headerCells[(int)DispColumn.OrderersCode].Value;
-            var readOnly = !CanEditDeposit(depositOrderer);
-            row.Cells[(int)DispColumn.DepositDate].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = readOnly;
-        }
-        #endregion
-
-        #region ボタン制御
-        /// <summary>
-        /// ボタン制御
-        /// </summary>
-        private void ControlButton()
-        {
-            try
-            {
-                // 特別権限は、無条件でボタン有効
-                if( m_UserInfo.m_Type == (int)CommonDefine.SecurityRankPos.SpecialAuthority)
-                {
-                    btnAddCmp.Enabled = true;
-                    btnDelCmp.Enabled = true;
-                    btnAddFld.Enabled = true;
-
-                    return;
-                }
-
-                // 総務担当外
-                if (m_UserInfo.m_GeneralAffairsFlg == 0)
-                {
-                    btnAddCmp.Enabled = false;
-                    btnDelCmp.Enabled = false;
-                    btnAddFld.Enabled = true;
-                }
-                // 総務担当
-                else
-                {
-                    btnAddCmp.Enabled = true;
-                    btnDelCmp.Enabled = true;
-                    btnAddFld.Enabled = false;
-                }
-
-                // 表示件数が0の場合は「現場追加」を無効
-                if (dgvMaster.RowCount <= 0)
-                {
-                    btnAddFld.Enabled = false;
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region 入金請求先情報を取得する。
         /// <summary>
         /// 入金請求先情報を取得する。
@@ -3280,7 +2047,9 @@
             var cells = dgvMaster.Rows[index].Cells;
             var orderersDivision = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value);
             var orderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value);
-            return FindDepositOrderer(orderersDivision, orderersCode);
+            var no = CommonMotions.cnvInt(cells[(int)DispColumn.No].Value);
+
+            return FindDepositOrderer(no, orderersCode);
         }
         #endregion
 
@@ -3291,9 +2060,9 @@
         /// <param name="orderersDivision"></param>
         /// <param name="orderersCode"></param>
         /// <returns></returns>
-        private DepositOrderer FindDepositOrderer(int orderersDivision, int orderersCode)
+        private DepositOrderer FindDepositOrderer(int No, int orderersCode)
         {
-            return depositOrderers.Find(dh => !dh.Deleted && dh.OrderersDivision == orderersDivision && dh.OrderersCode == orderersCode);
+            return depositOrderers.Find(dh => !dh.Deleted && dh.No == No && dh.OrderersCode == orderersCode);
         }
         #endregion
 
@@ -3308,7 +2077,7 @@
             var cells = dgvMaster.Rows[index].Cells;
             return new OrderersKey()
             {
-                OrderersDivision = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value),
+                OrderersDivision = CommonMotions.cnvInt(cells[(int)DispColumn.No].Value),
                 OrderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value),
             };
         }
@@ -3367,9 +2136,9 @@
         }
         #endregion
 
-        #region セル検証
+        #region 金額セル検証
         /// <summary>
-        /// セル検証
+        /// 金額セル検証
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -3383,14 +2152,12 @@
                 return;
             }
 
-            if ((tcol == (int)DispColumn.DepositAmountCash) ||              // 入金金額（振込）
-               (tcol == (int)DispColumn.DepositAmountBill)||                // 入金金額（手形）
-               (tcol == (int)DispColumn.DepositAmount) ||                   // 入金金額
+            if ((tcol == (int)DispColumn.DepositAmount) ||                  // 入金金額
                (tcol == (int)DispColumn.DiscountAmount) ||                  // 値引金額
                (tcol == (int)DispColumn.CnstrPrice) ||                      // 協力金
                (tcol == (int)DispColumn.Fees) ||                            // 手数料
                (tcol == (int)DispColumn.OtherAdjustments) ||                // その他調整
-               (tcol == (int)DispColumn.CarryAmount))                       // 次回繰越
+               (tcol == (int)DispColumn.DifferentAmount))                   // 次回繰越
             {
                 // カンマは一旦削除して文字列を取得
                 string str = e.FormattedValue.ToString().Replace(",", string.Empty); ;
